@import "vendors/bootstrap/functions";
@import "vendors/bootstrap/variables";
@import "vendors/bootstrap/mixins";
@import 'base/functions';
@import 'base/mixins';
@import 'bootstrap-custom';

html {
  font-size: 16px;

  @media (max-width: 540px) {
	font-size: 14px;
  }
}

button {

  &:focus {
	outline: 0;
  }
}

.container {
  max-width: 1170px;
}

.wrapper {
  overflow: hidden;
}

.page-header {
  z-index: 1;
}

.navbar-block {
  @media (max-width: 992px) {
	&--header {
	  position: absolute;
	  left: 0;
	  top: 6rem;
	}
  }
}

.section {
  padding: 4.5rem 0;

  &--dark {
	text-align: center;
	background-color: $gray-700;
	color: $white;
  }

  &--banner {
	padding: 34rem 0 11.6rem;

	@media (max-width: 900px) {
	  padding: 20rem 0 2rem;
	}

	@media (max-width: 400px) {
	  padding: 16rem 0 2rem;
	}
  }

  &--training {
	padding: 4.25rem;
  }
}

.opening-section {
  background: url("../images/bg-header.png") 50% 50% no-repeat;
  background-size: cover;
  position: relative;
}

.logo {
  display: block;

  &--header {
	top: 0;
	position: absolute;
	left: 50%;
	transform: translateX(-50%);

	@media (max-width: 400px) {
	  img {
		width: 7rem;
	  }
	}
  }

  &--footer {
	margin-right: 3rem;

	img {
	  max-width: 7.5rem;
	}
  }
}

.navbar {
  &--header {
	@media (max-width: 768px) {
	  padding: 1rem;
	}
  }
}

.navbar-list {

  &__item {
	padding: 0 5.75rem 0 .5rem;
	&:last-child {
	  padding-right: .5rem;
	}

	@media (max-width: 992px) {
	  padding: 0;
	  position: relative;
	  border: 1px solid $white;
	  background: rgba(50, 50, 50, .7);
	  text-align: center;
	  width: 100%;
	  &:hover {
		background: rgba(50, 50, 50, .95);
	  }

	  &:last-child {
		padding-right: 0;
	  }
	}
  }

  &--footer{
	@media (max-width:992px) {
	  flex-direction: row;
	}
	@media (max-width:750px) {
	  flex-direction: column;
	}
	@media (max-width:450px) {
	  display: none;
	}
  }

  &__link {
	font: 400 $nav-font $FjallaOne;
	position: relative;
	padding: .75rem 1.5rem;

	&:after {
	  content: '';
	  position: absolute;
	  bottom: -.8125rem;
	  border-bottom: 2px solid $red-100;
	  z-index: 1;
	  width: 0;
	  transition: all .5s;
	  left: 0;
	}

	@media (min-width: 992px) {
	  padding: 0;

	  &:hover {
		&:after {
		  width: 100%;
		}
	  }
	}
  }
}

.basic-button {
  background-color: $red-100;
  text-transform: uppercase;
  color: $white;
  font: 400 $button-font $OpenSans;
  width: 11.25rem;
  line-height: 2.7;
  transition: all .5s;

  &--dark {
	&:hover {
	  background-color: $gray-800;
	}
  }

  &--light {
	&:hover {
	  background-color: $white;
	  color: $gray-800;
	}
  }
}

.header-wrapper {
  margin: 0 auto;
}

.section-subheader {
  font: 400 $subheader-font $GreatVibes;
  color: $red-200;
  line-height: 1.1;
  margin-bottom: 0;
}

.section-header {
  text-transform: uppercase;
  font: 400 $header-font $FjallaOne;
  margin-bottom: 2.1rem;

  &--dark {
	color: $gray-600;
  }

  &--light {
	color: $white;
  }
}

.section-content {
  &--text-block {
	font: 400 $text-font $OpenSans;
	color: $gray-700;
	line-height: 1.75;

	p {
	  margin-bottom: 1.7rem;
	  &:last-of-type {
		margin-bottom: 2rem;
	  }
	}
  }

  &--img {
	@media (max-width: 768px) {

	  img {
		width: 45%;
		height: auto;
	  }
	}
  }
  @media (max-width: 980px) {
	.section-content--img-block {
	  justify-content: flex-start!important;
	  img {
		margin-bottom: 1rem;
	  }
	}
  }
}

.vertical-container {
  min-height: 35rem;
}

.description {
  margin-bottom: 2.65rem;
}

.carousel-control {
  color: $red-100;
  font-weight: 700;
  font-size: $carousel-controls-font;
}

.meals-carousel.owl-theme {
  margin-bottom: 2.5rem;

  .owl-nav {
	margin-top: 0;
	display: flex;
	justify-content: space-between;
	position: absolute;
	width: 100%;
  }

  .owl-stage-outer {
	overflow: visible;
	margin-bottom: 1.6rem;
  }

  .owl-dots .owl-dot {

	span {
	  display: inline-block;
	  width: 1rem;
	  height: 1rem;
	  margin-right: .5rem;
	  border: 1px solid $red;
	  position: relative;
	  border-radius: 0;
	  background-color: transparent !important;

	  &:last-child {
		margin-right: 0;
	  }
	}

	&:focus {
	  outline: 0 !important;
	}

	& + .active {
	  span {
		&:after {
		  content: '';
		  position: absolute;
		  background-color: $red;
		  width: 70%;
		  height: 70%;
		  z-index: 1;
		  top: 15%;
		  left: 15%;
		}
	  }
	}
  }
}

//training section
.contact {
  font: 400 $subheader-font $FjallaOne;
  color: $gray-700;

  &__tel-number {
	color: $red-100;
	margin-left: .8rem;
	transition: all .5s;

	&:hover, &:focus {
	  color: $red-100;
	  text-decoration: none;
	  text-shadow: 2px 4px 4px #6c6c6c;
	}
  }
}

//cards section

.pop-up-wrapper {
  position: fixed;
  background-color: rgba(0, 0, 0, .5);
  top: 0;
  left: 0;
  z-index: 1000;
}

.pop-up {
  z-index: 1;
  background-color: $white;
  padding: 4.375rem 0;
  color: $gray-700;
  margin: 0 auto;

  &__close {
	border: none;
	background-color: transparent;
	position: absolute;
	top: 1.25rem;
	right: 1.625rem;
	z-index: 1;
  }

  &__header {
	font: 400 $card-font $FjallaOne;
  }

  &__description {
	font: 400 $text-font $OpenSans;
	line-height: 1.2;

	p {
	  margin-bottom: .3rem;
	  &:last-of-type {
		margin-bottom: 0;
	  }
	}
  }

  &__image {
	height: 16rem;
  }
}

.hidden {
  display: none !important;
}

.product-card {
  margin-bottom: 3.625rem;

  &__info {
	position: relative;
	margin-bottom: .5rem;

	&:hover {

	  .product-card__hover-block {
		display: block;
		padding-top: 9.375rem;
	  }
	}
  }

  &__name {
	font: 400 $card-font $FjallaOne;
	line-height: 1.6;
  }

  &__hover-block {
	position: absolute;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
	display: none;
  }
}

.load-button {
  margin: 0 auto;
}

.feedback-section {
  background: url("../images/bg-feedback.png");
}

.feedback-carousel {

  &__author {
	font: 700 $text-font $OpenSans;
  }

  &__feedback {
	font: 400 $text-font $OpenSans;

	p {
	  margin-bottom: 0;
	  text-align: left;
	  &:last-child {
		margin-bottom: .5rem;
	  }
	}
  }

  &__quotes {
	color: $red-100;
	margin-bottom: 1.375rem;
	font-size: $carousel-controls-font;
  }

  &.owl-theme {
	.owl-nav {
	  margin-top: 0;
	  display: flex;
	  justify-content: space-between;
	  position: absolute;
	  width: 100%;
	}
  }

}

.owl-theme {

  .owl-nav {
	&:hover {
	  background: none !important;
	}
  }
}

.page-footer {
  padding: .75rem 0;
  background-color: $gray-700;
  color: $white;

  @media (max-width: 992px) {
	padding: .75rem;
  }
}

.socials {

  &__header {
	font: 400 $footer-font $OpenSans;
  }

  &__item {
	margin-right: 1.875rem;
	&:last-child {
	  margin-right: 0;
	}
  }

  &__link {
	width: 2.5rem;
	height: 2.5rem;
	color: $red-100;
	border: 1px solid $red-100;
	padding-top: .5rem;
	transition: all .5s;

	&:hover, &:focus {
	  text-decoration: none;
	  transform: rotate(15deg);
	  padding-top: .2rem;
	  color: $red-100;

	  .socials__icon {
		font-size: $subheader-font;
	  }
	}
  }

  &__icon {
	transition: all .5s;
	font-size: $card-font;
  }
}

.copyright {
  background-color: $black;
  font: 400 $footer-font $OpenSans;
}

.nav-item {

  &--footer {
	margin-right: 2rem;
	&:last-child {
	  margin-right: 0;
	}
  }
}

//owl customize
.owl-next, .owl-prev {
  &:hover {
	background: transparent !important;
	outline: none;
  }
  &:active {
	outline: none;
  }
}